Bug 992574 - intrace: FTBFS in rawhide
intrace: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: intrace (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kashyap Chamarthy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 01:31 EDT by Dennis Gilmore
Modified: 2014-08-07 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: intrace-1.5-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 09:00:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 01:31:32 EDT
Your package intrace failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5731203

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/1203/5731203/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/1203/5731203/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/1203/5731203/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 11:36:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Christopher Meng 2014-01-05 13:38:53 EST
1. Hidden build in Koji can't provides any useful information to us.

But I scratched a build just now: http://koji.fedoraproject.org/koji/taskinfo?taskID=6362182

Seems like the crux of the matter is compiler flags:

Mock Version: 1.1.33
Mock Version: 1.1.33
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'], False, '/var/lib/mock/f21-build-1957122-346988/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0xd78eb0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
warning: Could not canonicalize hostname: arm02-builder16.arm.fedoraproject.org
Building target platforms: armv7hl
Building for target armv7hl
Wrote: /builddir/build/SRPMS/intrace-1.5-2.fc21.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'], False, '/var/lib/mock/f21-build-1957122-346988/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0xd78eb0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: armv7hl
Building for target armv7hl
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.YiV6mG
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf intrace-1.5
+ /usr/bin/gzip -dc /builddir/build/SOURCES/intrace-1.5.tgz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd intrace-1.5
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ sed -i 's|-O3|-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard|g' Makefile
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.uqYEBb
+ umask 022
+ cd /builddir/build/BUILD
+ cd intrace-1.5
+ make -j4 V=1
CC debug.c
CC intrace.c
CC threads.c
CC listener.c
CC sender.c
CC display.c
CC ipv4.c
CC ipv6.c
ipv4.c: In function 'ipv4_sendpkt':
ipv4.c:165:35: error: cast increases required alignment of target type [-Werror=cast-align]
  pkt.tcph.th_sum = ipv4_cksum_tcp((u_int16_t *) & pseudoh, (u_int16_t *) & pkt.tcph, l4len);
                                   ^
ipv4.c: In function 'ipv4_tcp_sock_ready':
ipv4.c:175:24: error: cast increases required alignment of target type [-Werror=cast-align]
  struct tcphdr *tcph = (struct tcphdr *)((uint8_t *) & pkt->iph + ((uint32_t) pkt->iph.ip_hl * 4));
                        ^
cc1: all warnings being treated as errors
make: *** [ipv4.o] Error 1
make: *** Waiting for unfinished jobs....
ipv6.c: In function 'ipv6_sendpkt':
ipv6.c:157:9: error: cast increases required alignment of target type [-Werror=cast-align]
  cmsg = (struct cmsghdr *)cbuf;
         ^
ipv6.c:158:10: error: cast increases required alignment of target type [-Werror=cast-align]
  pinfo = (struct in6_pktinfo *)CMSG_DATA(cmsg);
          ^
ipv6.c: In function 'ipv6_extract_srcdst':
ipv6.c:177:34: error: cast increases required alignment of target type [-Werror=cast-align]
    struct in6_pktinfo *pktInfo = (struct in6_pktinfo *)CMSG_DATA(cmsg);
                                  ^
cc1: all warnings being treated as errors
make: *** [ipv6.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.uqYEBb (%build)
    Bad exit status from /var/tmp/rpm-tmp.uqYEBb (%build)
RPM build errors:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 361, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 Kashyap Chamarthy 2014-01-05 17:18:28 EST
(In reply to Christopher Meng from comment #2)
> 1. Hidden build in Koji can't provides any useful information to us.
> 
> But I scratched a build just now:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6362182
> 
> Seems like the crux of the matter is compiler flags:
> 
> Mock Version: 1.1.33
> Mock Version: 1.1.33
> ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps
> builddir/build/SPECS/intrace.spec'], False,
> '/var/lib/mock/f21-build-1957122-346988/root/', None, 86400, True, False,
> 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL':
> '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n
> "<mock-chroot>"', 'HOME': '/builddir', 'PATH':
> '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog
> object at 0xd78eb0>)
> Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl
> --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG':
> 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock',
> 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH':
> '/usr/bin:/bin:/usr/sbin:/sbin'}
> warning: Could not canonicalize hostname:
> arm02-builder16.arm.fedoraproject.org
> Building target platforms: armv7hl
> Building for target armv7hl
> Wrote: /builddir/build/SRPMS/intrace-1.5-2.fc21.src.rpm
> Child return code was: 0
> LEAVE do --> 
> 
> ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps
> builddir/build/SPECS/intrace.spec'], False,
> '/var/lib/mock/f21-build-1957122-346988/root/', None, 86400, True, False,
> 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL':
> '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n
> "<mock-chroot>"', 'HOME': '/builddir', 'PATH':
> '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog
> object at 0xd78eb0>)
> Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl
> --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG':
> 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock',
> 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH':
> '/usr/bin:/bin:/usr/sbin:/sbin'}
> Building target platforms: armv7hl
> Building for target armv7hl
> Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.YiV6mG
> + umask 022
> + cd /builddir/build/BUILD
> + cd /builddir/build/BUILD
> + rm -rf intrace-1.5
> + /usr/bin/gzip -dc /builddir/build/SOURCES/intrace-1.5.tgz
> + /usr/bin/tar -xf -
> + STATUS=0
> + '[' 0 -ne 0 ']'
> + cd intrace-1.5
> + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
> + sed -i 's|-O3|-O2 -g -pipe -Wall -Werror=format-security
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
> --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a
> -mfpu=vfpv3-d16  -mfloat-abi=hard|g' Makefile
> + exit 0
> Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.uqYEBb
> + umask 022
> + cd /builddir/build/BUILD
> + cd intrace-1.5
> + make -j4 V=1
> CC debug.c
> CC intrace.c
> CC threads.c
> CC listener.c
> CC sender.c
> CC display.c
> CC ipv4.c
> CC ipv6.c
> ipv4.c: In function 'ipv4_sendpkt':
> ipv4.c:165:35: error: cast increases required alignment of target type
> [-Werror=cast-align]
>   pkt.tcph.th_sum = ipv4_cksum_tcp((u_int16_t *) & pseudoh, (u_int16_t *) &
> pkt.tcph, l4len);
>                                    ^
> ipv4.c: In function 'ipv4_tcp_sock_ready':
> ipv4.c:175:24: error: cast increases required alignment of target type
> [-Werror=cast-align]
>   struct tcphdr *tcph = (struct tcphdr *)((uint8_t *) & pkt->iph +
> ((uint32_t) pkt->iph.ip_hl * 4));
>                         ^
> cc1: all warnings being treated as errors
> make: *** [ipv4.o] Error 1
> make: *** Waiting for unfinished jobs....
> ipv6.c: In function 'ipv6_sendpkt':
> ipv6.c:157:9: error: cast increases required alignment of target type
> [-Werror=cast-align]
>   cmsg = (struct cmsghdr *)cbuf;
>          ^
> ipv6.c:158:10: error: cast increases required alignment of target type
> [-Werror=cast-align]
>   pinfo = (struct in6_pktinfo *)CMSG_DATA(cmsg);
>           ^
> ipv6.c: In function 'ipv6_extract_srcdst':
> ipv6.c:177:34: error: cast increases required alignment of target type
> [-Werror=cast-align]
>     struct in6_pktinfo *pktInfo = (struct in6_pktinfo *)CMSG_DATA(cmsg);
>                                   ^
> cc1: all warnings being treated as errors
> make: *** [ipv6.o] Error 1
> error: Bad exit status from /var/tmp/rpm-tmp.uqYEBb (%build)
>     Bad exit status from /var/tmp/rpm-tmp.uqYEBb (%build)
> RPM build errors:
> Child return code was: 1
> EXCEPTION: Command failed. See logs for output.
>  # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps
> builddir/build/SPECS/intrace.spec']
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line
> 70, in trace
>     result = func(*args, **kw)
>   File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 361, in do
>     raise mockbuild.exception.Error, ("Command failed. See logs for
> output.\n # %s" % (command,), child.returncode)
> Error: Command failed. See logs for output.
>  # ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps
> builddir/build/SPECS/intrace.spec']
> LEAVE do --> EXCEPTION RAISED


Right, I could notice on a test scratch build I issued -- http://koji.fedoraproject.org/koji/taskinfo?taskID=6362393

and from a cursory look failure appears only on armv7hl architecture. And, it's to enabling -Werror.

Although, yet to investigate the root cause.
Comment 4 Kashyap Chamarthy 2014-01-06 09:00:09 EST
I had a brief conversation with Rich WM Jones on #libguestfs, he educated me with some explanation/suggestions on this:

Summary: On ARM, the hardware cannot do alignment fixups, so they get trapped and emulated in the Kernel (which means they are slow).

And,

 - If it's an easy fix that has no chance of breaking things, then fix it

 - If it's a performance critical path, fix it no matter if it's
   hard, otherwise disable the warning by doing:

     #pragma GCC diagnostic ignored "-Wcast-align"

 - This not a bug, it's a possible performance problem

 - This only affects arm and mips
Comment 5 Kashyap Chamarthy 2014-01-06 14:33:42 EST
Spoke with upstream, it's not a performance critical problem. I added a patch to disable -Wcast-align globally.

Below is successful scratch build on armv7hl:


build.log:
---------------
Mock Version: 1.1.33
Mock Version: 1.1.33
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'], False, '/var/lib/mock/f21-build-1958327-347310/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x150eeb0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
warning: Could not canonicalize hostname: arm04-builder14.arm.fedoraproject.org
Building target platforms: armv7hl
Building for target armv7hl
Wrote: /builddir/build/SRPMS/intrace-1.5-3.fc21.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'], False, '/var/lib/mock/f21-build-1958327-347310/root/', None, 86400, True, False, 1000, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x150eeb0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target armv7hl --nodeps builddir/build/SPECS/intrace.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: armv7hl
Building for target armv7hl
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.GMDGQn
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf intrace-1.5
+ /usr/bin/gzip -dc /builddir/build/SOURCES/intrace-1.5.tgz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd intrace-1.5
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (disable-Wcast-align.patch):'
Patch #0 (disable-Wcast-align.patch):
+ /usr/bin/cat /builddir/build/SOURCES/disable-Wcast-align.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file Makefile
+ sed -i 's|-O3|-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard|g' Makefile
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.gv1CqC
+ umask 022
+ cd /builddir/build/BUILD
+ cd intrace-1.5
+ make -j4 V=1
CC debug.c
CC intrace.c
CC threads.c
CC listener.c
CC sender.c
CC display.c
CC ipv4.c
CC ipv6.c
LD intrace
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.vKFiDo
+ umask 022
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm
++ dirname /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm
+ cd intrace-1.5
+ mkdir -p /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/bin/
+ install -p intrace /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm//usr/bin/
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 50000000 /builddir/build/BUILD/intrace-1.5
extracting debug info from /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/bin/intrace
dwz: Too few files for multifile optimization
/usr/lib/rpm/sepdebugcrcfix: Updated 1 CRC32s, 0 CRC32s did match.
84 blocks
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: intrace-1.5-3.fc21.armv7hl
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.H1bJ4K
+ umask 022
+ cd /builddir/build/BUILD
+ cd intrace-1.5
+ DOCDIR=/builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ export DOCDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ cp -pr ChangeLog /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ cp -pr README /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ cp -pr LICENSE.GPLv2 /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ cp -pr LICENSE.GPLv3 /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm/usr/share/doc/intrace
+ exit 0
Provides: intrace = 1.5-3.fc21 intrace(armv7hl-32) = 1.5-3.fc21
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: ld-linux-armhf.so.3 ld-linux-armhf.so.3(GLIBC_2.4) libc.so.6 libc.so.6(GLIBC_2.15) libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.5) libpthread.so.0 libpthread.so.0(GLIBC_2.4) rtld(GNU_HASH)
Processing files: intrace-debuginfo-1.5-3.fc21.armv7hl
Provides: intrace-debuginfo = 1.5-3.fc21 intrace-debuginfo(armv7hl-32) = 1.5-3.fc21
Requires(rpmlib): rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm
warning: Could not canonicalize hostname: arm04-builder14.arm.fedoraproject.org
Wrote: /builddir/build/RPMS/intrace-1.5-3.fc21.armv7hl.rpm
Wrote: /builddir/build/RPMS/intrace-debuginfo-1.5-3.fc21.armv7hl.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.353OUM
+ umask 022
+ cd /builddir/build/BUILD
+ cd intrace-1.5
+ /usr/bin/rm -rf /builddir/build/BUILDROOT/intrace-1.5-3.fc21.arm
+ exit 0
Child return code was: 0
LEAVE do --> 
---------------
Comment 6 Christopher Meng 2014-07-02 09:00:14 EDT

*** This bug has been marked as a duplicate of bug 1106801 ***
Comment 7 Yaakov Selkowitz 2014-08-07 18:57:42 EDT
This issue was fixed in rawhide prior to the F21 mass rebuild, but has yet to be built into F20.  Bug 1106801 is a separate issue which I have just fixed.

Note You need to log in before you can comment on or make changes to this bug.